net.minecraft.network.packet

## Class Packet24MobSpawn

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet24MobSpawn

-     public class Packet24MobSpawn
      extends Packet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `entityId` The entity ID.
    `byte` | `headYaw` The yaw of the entity's head.
    `byte` | `pitch` The pitch of the entity.
    `int` | `type` The type of mob.
    `int` | `velocityX`
    `int` | `velocityY`
    `int` | `velocityZ`
    `int` | `xPosition` The X position of the entity.
    `byte` | `yaw` The yaw of the entity.
    `int` | `yPosition` The Y position of the entity.
    `int` | `zPosition` The Z position of the entity.

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet24MobSpawn()`
    `Packet24MobSpawn(EntityLivingBase par1EntityLivingBase)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getMetadata()`
    `int` | `getPacketSize()` Abstract.
    `void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
    `void` | `readPacketData(DataInput par1DataInput)` Abstract.
    `void` | `writePacketData(DataOutput par1DataOutput)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### entityId

          public int entityId

      The entity ID.

    - #### type

          public int type

      The type of mob.

    - #### xPosition

          public int xPosition

      The X position of the entity.

    - #### yPosition

          public int yPosition

      The Y position of the entity.

    - #### zPosition

          public int zPosition

      The Z position of the entity.

    - #### velocityX

          public int velocityX

    - #### velocityY

          public int velocityY

    - #### velocityZ

          public int velocityZ

    - #### yaw

          public byte yaw

      The yaw of the entity.

    - #### pitch

          public byte pitch

      The pitch of the entity.

    - #### headYaw

          public byte headYaw

      The yaw of the entity's head.

  - ### Constructor Detail

    - #### Packet24MobSpawn

          public Packet24MobSpawn()

    - #### Packet24MobSpawn

          public Packet24MobSpawn(EntityLivingBase par1EntityLivingBase)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInput par1DataInput)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutput par1DataOutput)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `IOException`

    - #### processPacket

          public void processPacket(NetHandler par1NetHandler)

      Passes this Packet on to the NetHandler for processing.
      Specified by:
        `processPacket` in class `Packet`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Specified by:
        `getPacketSize` in class `Packet`

    - #### getMetadata

          public List getMetadata()